## spectro/average

### Summary

Average or merge two or more .ti3 measurement files.
If only one input file is provided, then for output or display device test charts all the patches with the same device values will be average together,
while for input device test charts all the patches with the same PCS values will be averaged together.

### Usage

usage: average [-options] input1.ti3 input2.ti3 ... output.ti3
-v Verbose
-e Median rather than average
`-g Geometric Median of PCS or Device in encoded space``
` `-L Geometric Median of PCS in L*a*b* space``
` `-X Geometric Median of PCS in XYZ space`
-m Merge rather than average
input1.ti3 First input file
input2.ti3 Second input file
... etc.
output.ti3 Resulting averaged or merged output file
All keywords and other table data will be taken from the first input file. By default the input files are averaged, but they can be merged by using the -m flag.
The fields must be the same and in the same order.
For averaging output or display device test charts, the device values must be the same and in the same order.
For input device test charts, the PCS values must be the same and in the same order.
If the -e option is used, then the independent median (i.e. Marginal median) of the field values is used, rather than the average.
If the -g option is used, then Geometric Median of PCS values (output or display) is computed in their encoded space (i.e. XYZ or L*a*b*).
For input type device test charts, the Geometric mean of 3 channel device values is computed.
If the -L option is used, then Geometric Median of PCS values is computed in L*a*b* space.
This option is ignored for input device test charts.
If the -X option is used, then Geometric Median of PCS values is computed in XYZ space.
This option is ignored for input device test charts.